www-builds mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Gavin McDonald <ga...@16degrees.com.au>
Subject Re: Builds with maven 3.x on Jenkins
Date Sat, 16 Sep 2017 00:44:46 GMT

> On 16 Sep 2017, at 7:59 am, Oleg Kalnichevski <olegk@apache.org> wrote:
> 
> On Fri, 2017-09-15 at 14:40 -0700, Allen Wittenauer wrote:
>>> On Sep 15, 2017, at 2:36 PM, Oleg Kalnichevski <olegk@apache.org>
>>> wrote:
>>> ERROR: Maven Home \home\jenkins\tools\maven\apache-maven-3.0.5
>>> doesn’t exist
>> 
>> 	That’s the Windows box.
>> 
>>> Is there anything I could be doing wrong? 
>> 
>> 	Did you mean to run on the Windows box?
>> 
>> 	;D
>> 
> 
> No, I did not specifically want any particular platform or OS.
> Fundamentally this should not matter.

I am afraid it does matter, especially with the way you have configured your builds.

You are not using Pipeline and you are not using Toolchains.

Therefore , you need to choose the correct drop down option for Windows or Linux.

Not picking any and just hoping that it will build fine is naive.

That being saiid, I have configured the Windows slaves with Tool Locations using all 
of the ‘Latest’ options.

That is, JDK (Latest) , Maven (Latest) , Ant (Latest) etc, will work for Linux and Windows.

I also added ‘Maven 3.3.9’ to that list. So that too, now builds fine whether on Windows
or Linux.
(I tested on your build to confirm)

But not the rest, I will not be adding Maven 3.0.5 or any other previous versions.

If you want that or other versions of other software to work, then please consider investigating

and using toolchains in your jobs instead. 

Also see the below links for more information on our Jenkins setup.

HTH

Gav…

https://cwiki.apache.org/confluence/display/INFRA/Ant+Installation+Matrix <https://cwiki.apache.org/confluence/display/INFRA/Ant+Installation+Matrix>

https://cwiki.apache.org/confluence/display/INFRA/JDK+Installation+Matrix <https://cwiki.apache.org/confluence/display/INFRA/JDK+Installation+Matrix>

https://cwiki.apache.org/confluence/display/INFRA/Jenkins+node+labels <https://cwiki.apache.org/confluence/display/INFRA/Jenkins+node+labels>

https://cwiki.apache.org/confluence/display/INFRA/Maven+Installation+Matrix <https://cwiki.apache.org/confluence/display/INFRA/Maven+Installation+Matrix>





> It just wanted the build to run
> on any node capable of running Maven 3.0.5, 3.3.3 or 3.3.9.
> 
> Oleg


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message